#### PyKDE - Python Bindings for KDE

# class TDEGlobal |
Table of contents
Modules
tdecore Classes
All Classes

Module | tdecore
Class | TDEGlobal
Inherits |

### methods

- activeInstance ()

  returns (TDEInstance)
  static

- charsets ()

  returns (KCharsets)
  static

- config ()

  returns (TDEConfig)
  static

- deleteStaticDeleters ()

  returns nothing
  static

- dirs ()

  returns (TDEStandardDirs)
  static

- iconLoader ()

  returns (TDEIconLoader)
  static

- instance ()

  returns (TDEInstance)
  static

- locale ()

  returns (TDELocale)
  static

- registerStaticDeleter (d)

  returns nothing
  static
  Argument | Type | Default
  --- | --- | ---
  d | KStaticDeleterBase |

- setActiveInstance (d)

  returns nothing
  static
  Argument | Type | Default
  --- | --- | ---
  d | TDEInstance |

- sharedConfig ()

  returns (TDESharedConfig)
  In versions KDE 3.2.0 and above only
  static

- staticQString (str)

  returns (TQString)
  static
  Argument | Type | Default
  --- | --- | ---
  str | char |

- staticQString (str)

  returns (TQString)
  static
  Argument | Type | Default
  --- | --- | ---
  str | TQString |

- unregisterStaticDeleter (d)

  returns nothing
  static
  Argument | Type | Default
  --- | --- | ---
  d | KStaticDeleterBase |

### variables

- variables

  Variable | Type
  --- | ---
  _activeInstance | TDEInstance*
  _charsets | KCharsets*
  _instance | TDEInstance*
  _locale | TDELocale*
  _staticDeleters | KStaticDeleterList*
  _stringDict | KStringDict*